• 社区首页
  • 版块
社区首页  >  华为matebookD安装win10和deepin20双系统
[问题求助] 华为matebookD安装win10和deepin20双系统
桌面个人版246个浏览 ·6个评论
电梯直达到第
oucaijun
发表于2020-10-11
楼主


电脑是华为matebook D,
一个256G硬盘,一个1T硬盘。

原装win10在256G主硬盘上,在1T副硬盘上分了100G准备安装deepin20。
在安装时硬盘分区这个步骤,选择根目录挂在100G分区上点下一步,提示需要添加一个efi分区才能继续安装,其实能看到主硬盘上是有efi分区的。没办法只能进windows在副硬盘上再划了3G的分区,重新进入安装环节,选择3G分区作为efi分区,然后一路通畅安好Windows。

启动电脑后可以看到能选择Windows或者deepin。
本来应该到此结束的。但因为我不想Windows和deepin的盘互相访问,就想在Windows下面把deepin的盘隐藏掉,点击磁盘管理中删除副硬盘上的100G分区,准备重装系统,然后重启就悲剧了:启动不了Windows也启动不了deepin,停留在grub命令行界面,只能按F10恢复系统,但是我不想丢掉C盘上的资料。

不知道接下来怎么解决这个问题,还要摸索。

所有回复
oucaijun
发表于2020-10-11
沙发

开机按F12,选择Windows Boot Manager解决引导错误这个问题。

oucaijun
发表于2020-10-11
板凳


我装系统时勾选了n卡闭源驱动。

我装好系统后,马上打开应用商店下了几个应用,部分显示失败。

然后使用apt update,再下vim,git失败显示这种依赖问题。


ocean@ocean-PC:~$ sudo apt-get install git正在读取软件包列表... 完成 正在分析软件包的依赖关系树 正在读取状态信息... 完成 git 已经是最新版 (1:2.20.1.1-2+deb10u3+dde)。 升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。有 2 个软件包没有被完全安装或卸载。解压缩后会消耗 0 B 的额外空间。您希望继续执行吗? [Y/n] y正在设置 nvidia-kernel-dkms (440.100-1) ...Removing old nvidia-current-440.100 DKMS files...------------------------------Deleting module version: 440.100completely from the DKMS tree.------------------------------Done.Loading new nvidia-current-440.100 DKMS files...Building for 5.4.50-amd64-desktopBuilding initial module for 5.4.50-amd64-desktopError! Bad return status for module build on kernel: 5.4.50-amd64-desktop (x86_64)Consult /var/lib/dkms/nvidia-current/440.100/build/make.log for more information.dpkg: 处理软件包 nvidia-kernel-dkms (--configure)时出错: 已安装 nvidia-kernel-dkms 软件包 post-installation 脚本 子进程返回错误状态 10dpkg: 依赖关系问题使得 nvidia-driver 的配置工作不能继续: nvidia-driver 依赖于 nvidia-kernel-dkms (= 440.100-1) | nvidia-kernel-440.100;然而: 软件包 nvidia-kernel-dkms 尚未配置。 未安装软件包 nvidia-kernel-440.100。 软件包 nvidia-kernel-dkms 提供了 nvidia-kernel-440.100,但它尚未被配置。dpkg: 处理软件包 nvidia-driver (--configure)时出错: 依赖关系问题 - 仍未被配置在处理时有错误发生: nvidia-kernel-dkms nvidia-driverE: Sub-process /usr/bin/dpkg returned an error code (1)




ocean@ocean-PC:~$ lspci |grep -i nvidia                                                                                                                                   

01:00.0 3D controller: NVIDIA Corporation GP108M [GeForce MX150] (rev a1)




DKMS make.log for nvidia-current-440.100 for kernel 5.4.50-amd64-desktop (x86_64)2020年 10月 11日 星期日 12:14:42 CST/usr/sbin/dkms:行 78: 27977 段错误 env NV_VERBOSE=1 make -j8 modules KERNEL_UNAME=5.4.50-amd64-desktop

oucaijun
发表于2020-10-11
地板

这下没招了

oucaijun
发表于2020-10-11
5楼

ocean@ocean-PC:~$ sudo apt remove nvidia-kernel-dkms nvidia-driver
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列软件包是自动安装的并且现在不需要了:
  libegl-nvidia0 libgl1-nvidia-glvnd-glx libglx-nvidia0 libnvidia-eglcore libnvidia-ml1 nvidia-driver-bin
  nvidia-driver-libs nvidia-egl-common nvidia-egl-icd nvidia-kernel-common nvidia-kernel-support
  nvidia-modprobe
使用'sudo apt autoremove'来卸载它(它们)。
下列软件包将被【卸载】:
  nvidia-driver nvidia-kernel-dkms
升级了 0 个软件包,新安装了 0 个软件包,要卸载 2 个软件包,有 0 个软件包未被升级。
有 2 个软件包没有被完全安装或卸载。
解压缩后将会空出 36.7 MB 的空间。
您希望继续执行吗? [Y/n] y
(正在读取数据库 ... 系统当前共安装有 222111 个文件和目录。)
正在卸载 nvidia-driver (440.100-1) ...
正在卸载 nvidia-kernel-dkms (440.100-1) ...

------------------------------
Deleting module version: 440.100
completely from the DKMS tree.
------------------------------
Done.



ocean@ocean-PC:~$ sudo apt autoremove
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列软件包将被【卸载】:
  libegl-nvidia0 libgl1-nvidia-glvnd-glx libglx-nvidia0 libnvidia-eglcore libnvidia-ml1 nvidia-driver-bin
  nvidia-driver-libs nvidia-egl-common nvidia-egl-icd nvidia-kernel-common nvidia-kernel-support
  nvidia-modprobe
升级了 0 个软件包,新安装了 0 个软件包,要卸载 12 个软件包,有 0 个软件包未被升级。
解压缩后将会空出 33.3 MB 的空间。
您希望继续执行吗? [Y/n] y
(正在读取数据库 ... 系统当前共安装有 221682 个文件和目录。)
正在卸载 nvidia-driver-libs:amd64 (440.100-1) ...
正在卸载 nvidia-egl-icd:amd64 (440.100-1) ...
正在卸载 libegl-nvidia0:amd64 (440.100-1) ...
正在卸载 libgl1-nvidia-glvnd-glx:amd64 (440.100-1) ...
正在卸载 libglx-nvidia0:amd64 (440.100-1) ...
正在卸载 libnvidia-eglcore:amd64 (440.100-1) ...
正在卸载 nvidia-driver-bin (440.100-1) ...
正在卸载 libnvidia-ml1:amd64 (440.100-1) ...
正在卸载 nvidia-egl-common (440.100-1) ...
正在卸载 nvidia-kernel-support (440.100-1) ...
正在卸载 nvidia-kernel-common (20151021+9) ...
正在卸载 nvidia-modprobe (418.56-1) ...
......
update-alternatives: 警告: 链接组 glx 已损坏,故强制重新安装候选项 /usr/lib/nvidia
正在处理用于 libc-bin (2.28.8.1-1+dde) 的触发器 ...
正在处理用于 initramfs-tools (0.133.3-1+eagle) 的触发器 ...
update-initramfs: Generating /boot/initrd.img-5.4.50-amd64-desktop
cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries 
    nor crypto modules. If that's on purpose, you may want to uninstall the 
    'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs 
    integration and avoid this warning.
setupcon is missing. Please install the 'console-setup' package.
W: plymouth: The plugin label.so is missing, the selected theme might not work as expected.
W: plymouth: You might want to install the plymouth-themes package to fix this.

看起来应该可以了。

参考:
Ubuntu出现依赖关系问题 - 仍未被配置问题
 https://blog.csdn.net/s306205127/article/details/78546484

oucaijun
发表于2020-10-11
6楼

依赖问题解决了,apt可以顺利下载和卸载软件了。

oucaijun
发表于2020-10-11
7楼

记录下个人电脑信息:

--------------------------------------------------------------------------------------------

设备:
HUAWEI MRC-WX0 (C233) Notebook
操作系统:
Deepin 20 Linux version 5.4.50-amd64-desktop (deepin@deepin-PC) (Uos 8.3.0.3-3+rebuild) #74 SMP Mon Aug 24 20:15:37 CST 2020
处理器:
Intel(R) Core(TM) i7-8550U CPU @ 1.80GHz (四核 / 八逻辑处理器)
主板:
MRC-WX0-PCB
内存:
8GB(HMA81GS6AFR8N-UH DDR4 2400MHz (0.4ns))/8GB(HMA81GS6AFR8N-UH DDR4 2400MHz (0.4ns))
存储设备:
Samsung SSD 860 QVO 1TB (1.00 TB)/Storage Device (7968MB)/LITEON CV8-8E256 (256 GB)
显示适配器:
GP108M [GeForce MX150]/UHD Graphics 620
显示设备:
BOE CQ LCD Monitor(15.3 英寸(34cm X 19cm))
网络适配器:
Wireless 8265 / 8275
音频适配器:
Sunrise Point-LP HD Audio /"HDA Intel PCH Mic" /"HDA Intel PCH Headphone" /"HDA Intel PCH HDMI/DP,pcm3" /"HDA Intel PCH HDMI/DP,pcm7" /"HDA Intel PCH HDMI/DP,pcm8" /"HDA Intel PCH HDMI/DP,pcm9" /"HDA Intel PCH HDMI/DP,pcm10"
蓝牙:
ocean-PC
电池:
电池
键盘:
AT Translated Set 2 keyboard (AT Translated Set 2 keyboard)
鼠标:
USB OPTICAL MOUSE (USB OPTICAL MOUSE)/ETPS/2 Elantech Touchpad (ETPS/2 Elantech Touchpad)/ELAN2202:00 04F3:306D Mouse (ELAN2202:00 04F3:306D Mouse)/ELAN2202:00 04F3:306D Touchpad (ELAN2202:00 04F3:306D Touchpad)
图像设备:
hm1091_techfront (Quanta hm1091_techfront)

发布帖子

版块推荐

查看更多>

  • 新闻公告
  • 桌面个人版
  • 社区活动

小编推荐

换一批
  • UOS新版社区上线,只为更好的你
  • 【官方贴】八月迎秋,【应用商店】【软件推荐】收集贴
  • 【官方贴】八月迎秋,【应用商店】【头号玩家】收集贴

光荣榜

  • 周榜
  • 月榜
  • 总榜
  • 1jerry_hz29个帖子
  • 2zjz30824个帖子
  • 3zhydylj18个帖子
  • 4chenmeng201117个帖子
  • 5maxmadzz16个帖子
  • 6jiutian12315个帖子